Bug 1690627 (daggy)

Summary: Review Request: daggy - Data Aggregation Utility
Product: [Fedora] Fedora Reporter: Igor Gnatenko <i.gnatenko.brain>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-04 00:01:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Igor Gnatenko 2019-03-19 20:50:15 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/daggy.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/daggy-1.0.1-1.fc31.src.rpm
Description:
Daggy - application that can run multiple commands on remote servers simultaneously and save output locally.  * Simple to use.   Configure commands and servers via json/yaml config.   Run command via ssh/bash/powershell * Simple to support.   No installations are required on remote servers.   Only ssh connection are required for remote servers. * Simple to search and read.   Each command output saving in separate file at runtime.
Fedora Account System Username: ignatenkobrain

Comment 1 Robert-André Mauchin 2019-03-22 21:58:34 UTC
 - Build error:

Last metadata expiration check: 0:00:01 ago on Fri Mar 22 22:42:45 2019.
No matching package to install: 'pkgconfig(botan2)'

   Fix it with

BuildRequires:  pkgconfig(botan-2)


 - It would be nice to have a man page.


Package approved. Please fix the aforementioned issue.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "GPL (v3)". 22 files
     have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/daggy/review-daggy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in daggy
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: daggy-1.0.1-1.fc31.x86_64.rpm
          daggy-debuginfo-1.0.1-1.fc31.x86_64.rpm
          daggy-debugsource-1.0.1-1.fc31.x86_64.rpm
          daggy-1.0.1-1.fc31.src.rpm
daggy.x86_64: W: spelling-error %description -l en_US json -> son, j son
daggy.x86_64: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
daggy.x86_64: W: spelling-error %description -l en_US powershell -> power shell, power-shell, powers hell
daggy.x86_64: W: no-manual-page-for-binary daggy
daggy.src: W: spelling-error %description -l en_US json -> son, j son
daggy.src: W: spelling-error %description -l en_US yaml -> yam, yams, yawl
daggy.src: W: spelling-error %description -l en_US powershell -> power shell, power-shell, powers hell
daggy.src:18: W: unversioned-explicit-provides bundled(qsshlib)
4 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 2 Igor Gnatenko 2019-03-24 19:08:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/daggy

Comment 3 Fedora Update System 2019-03-25 07:36:43 UTC
daggy-1.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-74a489e891

Comment 4 Fedora Update System 2019-03-25 07:36:52 UTC
daggy-1.0.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2825ba8666

Comment 5 Fedora Update System 2019-03-25 07:37:02 UTC
daggy-1.0.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf3da86bbb

Comment 6 Fedora Update System 2019-03-25 18:54:31 UTC
daggy-1.0.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2825ba8666

Comment 7 Fedora Update System 2019-03-27 04:11:27 UTC
daggy-1.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-74a489e891

Comment 8 Fedora Update System 2019-03-27 04:33:55 UTC
daggy-1.0.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cf3da86bbb

Comment 9 Fedora Update System 2019-04-04 00:01:10 UTC
daggy-1.0.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-04 02:26:17 UTC
daggy-1.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-04 03:11:00 UTC
daggy-1.0.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.